#!/bin/sh
#
# Compile dss-cpp files from .capnp.
#
# TODO(c++11): integrate into build properly.
# Capnp code requires at least gcc-4.8.

set -e

capnp compile -oc++ form.capnp -I`pkg-config --variable=includedir capnp`

pushd ../capnpc
./build.sh
popd

CPP_CAPNP_FILES="device-config.capnp"
FORM_CAPNP_FILES="device-config.capnp"

for x in $CPP_CAPNP_FILES; do
    echo "Compiling cpp $x";
    capnp compile -o../capnpc/build/capnpc-dss-cpp "$x" -I`pkg-config --variable=includedir capnp`
done

for x in $FORM_CAPNP_FILES; do
    echo "Compiling form $x";
    capnp compile -o../capnpc/build/capnpc-dss-form "$x" -I`pkg-config --variable=includedir capnp`
done
